import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AnalyticsComponent } from './analytics/analytics.component';
import { EcommerceComponent } from './ecommerce/ecommerce.component';
import { SalesComponent } from './sales/sales.component';
import { CryptoComponent } from './crypto/crypto.component';
import { CrmComponent } from './crm/crm.component';
import { HrmComponent } from './hrm/hrm.component';
import { JobsComponent } from './jobs/jobs.component';
import { NftComponent } from './nft/nft.component';
import { PersonalComponent } from './personal/personal.component';
import { ProjectsComponent } from './projects/projects.component';
import { StocksComponent } from './stocks/stocks.component';
import { CourseComponent } from './course/course.component';
import { CompanyRegistrationComponent } from '../company-components/company-registration/company-registration.component';
import { JobDetailManagementComponent } from '../job-detail-components/job-detail-management/job-detail-management.component';
import { JobDescriptionComponent } from '../company-components/job-description/job-description.component';
import { AccountSettingsComponent } from '../company-components/account-settings/account-settings.component';
import { NameRegistrationComponent } from '../competency-assessment/name-registration/name-registration.component';
import { ToolRegisterComponent } from '../competency-assessment/tool-register/tool-register.component';
import { CourseRegistrationComponent } from '../competency-assessment/course-registration/course-registration.component';
import { CompetencyManagementComponent } from '../competency-assessment/competency-management/competency-management.component';
import { EditGruopCompetenciesComponent } from '../competency-assessment/competency-management/group-competencies/edit-group-competencies/edit-group-competencies.component';


const routes: Routes = [
  {
    path: "",
    children: [
      { path: "dashboard/analytics", component: AnalyticsComponent },
      { path: "dashboard/crypto", component: CryptoComponent },
      { path: "dashboard/ecommerce", component: EcommerceComponent },
      { path: "dashboard/sales", component: SalesComponent },
      { path: "dashboard/crm", component: CrmComponent },
      { path: "dashboard/jobs", component: JobsComponent },
      { path: "dashboard/hrm", component: HrmComponent },
      { path: "dashboard/personal", component: PersonalComponent },
      { path: "dashboard/nft", component: NftComponent },
      { path: "dashboard/projects", component: ProjectsComponent },
      { path: "dashboard/stocks", component: StocksComponent },
      { path: "dashboard/course", component: CourseComponent },

      // myComponent
      { path: "company-registration",title: 'ทะเบียนบริษัท', component: CompanyRegistrationComponent },
      { path: "job-description",title: 'ข้อมูลลักษณะงาน', component: JobDescriptionComponent },
      { path: "account-settings",title: 'ตั้งค่าผู้ใช้งาน', component: AccountSettingsComponent },
      { path: "name-registration",title: 'ทะเบียนกำหนดชื่อ', component: NameRegistrationComponent },
      { path: "tool-register",title: 'ทะเบียนเครื่องมือ', component: ToolRegisterComponent },
      { path: "competency-management",title: 'การจัดการสมรรถนะ', component: CompetencyManagementComponent },
      { path: "job-detail-management",title: 'การจัดการรายละเอียดงาน', component: JobDetailManagementComponent },
      { path: "course-registration",title: 'ทะเบียนหลักสูตร', component: CourseRegistrationComponent },
      { path: "edit-group-competencies",title: 'แก้ไขกลุ่มสมรรถนะ', component: EditGruopCompetenciesComponent },
    ]
  }
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DashboardRoutingModule { }
